import request from '@/utils/request'

// 查询看课sop列表
export function listSop(query) {
  return request({
    url: '/course/sop/list',
    method: 'get',
    params: query
  })
}

// 查询看课sop详细
export function getSop(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'get'
  })
}

// 新增看课sop
export function addSop(data) {
  return request({
    url: '/course/sop',
    method: 'post',
    data: data
  })
}

// 修改看课sop
export function updateSop(data) {
  return request({
    url: '/course/sop',
    method: 'put',
    data: data
  })
}

// 删除看课sop
export function delSop(id) {
  return request({
    url: '/course/sop/' + id,
    method: 'delete'
  })
}

// 导出看课sop
export function exportSop(query) {
  return request({
    url: '/course/sop/export',
    method: 'get',
    params: query
  })
}
